*{
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
}
html{
    height: 100%;
}
body{
    background-image: url(./images/bg.jpg);
    width: 100%;
    height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50%;
}
.login{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    padding: 40px;
    transform: translate(-50%, -50%);
    backdrop-filter: blur(25px);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px rgba(0,0,0, 0.3) 0px 30px 60px -30px;
    box-sizing: border-box;
    border: 1px solid #304f6b;
    border-radius: 10px;
}
.login h2{
    margin: 0 0 30px;
    padding: 0;
    color: #0d6efd;
    text-align: center;
}

.login h6{
    margin: 0 0 30px;
    padding: 0;
    color: #0d6efd;
    text-align: center;
    position: relative;
    bottom: -40px;
}

.login .user-box{
    position: relative;
}
.user-box input{
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: #a69a87;
    margin-bottom: 30px;
    border: none;
    border-bottom: 1px solid #fd9800;
    outline: none;
    background: transparent;
}
.user-box label{
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px 0;
    color: #fd9800;
    pointer-events: none;
    font-size: 16px;
    transition: 0.5s;
}
.login .user-box input:focus ~ label,
.login .user-box input:valid ~ label{
    top: -20px;
    left: 0;
    color: #ffffff;
    font-size: 12px;
}
.check-checkbox{
    appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid #304f6b;
    border-radius: 5px;
    background-color: transparent;
    display: inline-block;
    position: relative;
    margin-right: 10px;
    cursor: pointer;
}
.check-checkbox::before{
    content: " ";
    background-color: #304f6b;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    width: 10px;
    height: 10px;
    border-radius: 3px;
    transition: all 0.3s ease-in-out;
}
.check-checkbox:checked::before{
    transform: translate(-50%, -50%) scale(1);
}
.check-checkbox-label{
    font-size: 16px;
    color: #304f6b;
    user-select: none;
    display: flex;
    align-items: center;
    cursor: pointer;
}





.container{
    margin-top: 30px;
    align-items: center;
    background: #304f6b;
    border-radius: 10px;
    display: flex;
    height: 40px;
    justify-content: center;
    position: relative;
    width: 170px;
    cursor: pointer;
}
.text{
    color: #ffffff;
    position: absolute;
    transition: opacity 300ms;
    user-select: none;
    -moz-user-select: none;
}
.fingerprint{
    height: 60px;
    left: -8px;
    opacity: 0;
    position: absolute;
    stroke: #99bdd2;
    top: -9px;
    transition: opacity 1ms;
}
.fingerprint-active{
    stroke: #fff;
}
.fingerprint-out{
    opacity: 1;
}
.odd{
    stroke-dasharray: 0px 50px;
    stroke-dashoffset: 1px;
    transition: stroke-dasharray 1ms;
}
.even{
    stroke-dasharray: 50px 50px;
    stroke-dashoffset: -41px;
    transition: stroke-dashoffset 1ms;
}
.ok{
    opacity: 0;
}
.active.container{
    animation: 6s Container;
}
.active .text{
    opacity: 0;
    animation: 6s Text forwards;
}
.active .fingerprint{
    opacity: 1;
    transition: opacity 300ms 200ms;
}
.active .fingerprint-base .odd{
    stroke-dasharray: 50px 50px;
    transition: stroke-dasharray 800ms 100ms;
}
.active .fingerprint-base .even{
    stroke-dashoffset: 0px;
    transition: stroke-dashoffset 800ms;
}
.active .fingerprint-active .odd{
    stroke-dasharray: 50px 50px;
    transition: stroke-dasharray 2000ms 1500ms;
}
.active .fingerprint-active .even{
    stroke-dashoffset: 0px;
    transition: stroke-dashoffset 2000ms 1300ms;
}
.active .fingerprint-out{
    opacity: 0;
    transition: opacity 300ms 4100ms;
}
.active .ok{
    opacity: 1;
    animation: 6s Ok forwards;
}
@keyframes Container{
    0% {width: 200px}
    6% {width: 80px}

    71% {transform: scale(1);}
    75% {transform: scale(1.2);}
    77% {transform: scale(1);}

    94% {width: 80px}
    100% {width: 200px}
}
@keyframes Text{
    0% {opacity: 1; transform: scale(1);}
    6% {opacity: 0; transform: scale(0.5);}

    94% {opacity: 0; transform: scale(0.5);}
    100% {opacity: 1; transform: scale(1);}
}
@keyframes Ok{
    0% {opacity: 0}
    70% {opacity: 0; transform: scale(0);}
    75% {opacity: 1; transform: scale(1.1);}
    77% {opacity: 1; transform: scale(1);}
    92% {opacity: 1; transform: scale(1);}
    96% {opacity: 0; transform: scale(0.5);}
    100% {opacity: 0}
}